*  NLP written by GAMS Convert at 02/13/14 21:35:07
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          6        6        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         15       15        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         41        9       32        0
*
*  Solve m using NLP minimizing x15;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15;

Positive Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12;

Equations  e1,e2,e3,e4,e5,e6;


e1..    x7 + x8 + x9 =E= 0.7;

e2..    x10 + x11 + x12 =E= -0.4;

e3.. -((x1*x1 - x1*x1*x1)*x7 + (x2*x2 - x2*x2*x2)*x8 + (x3*x3 - x3*x3*x3)*x9 + 
     (x4*x4 - x4*x4*x4)*x10 + (x5*x5 - x5*x5*x5)*x11 + (x6*x6 - x6*x6*x6)*x12)
      + x13 =E= 0;

e4.. -(x4*x4*x10 - x5*x5*x11 - x6*x6*x12) + x14 =E= 0;

e5.. x13*x14 + x15 =E= 0;

e6.. x1*x7 + x2*x8 + x3*x9 + x4*x10 + x5*x11 + x6*x12 =E= 0.7;

* set non-default bounds
x1.up = 1;
x2.up = 1;
x3.up = 1;
x4.up = 1;
x5.up = 1;
x6.up = 1;
x7.up = 1;
x8.up = 1;
x9.up = 1;
x10.up = 1;
x11.up = 1;
x12.up = 1;

* set non-default levels
x2.l = 1;
x3.l = 1;
x5.l = 0.7;
x6.l = 0.7;
x7.l = 0.233333333333333;
x8.l = 0.233333333333333;
x9.l = 0.233333333333333;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP minimizing x15;
