*  NLP written by GAMS Convert at 02/13/14 21:35:31
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          5        5        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*          7        7        0        0        0        0        0        0
*  FX      6        6        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21        9       12        0
*
*  Solve m using NLP minimizing x1;


Variables  x1,x2,x3,x4,x5,x6,x7;

Equations  e1,e2,e3,e4,e5;


e1.. -(log(x2)*x2 + log(x3)*x3 + log(x4)*x4 + x7/(x5 - x7) - log(x5 - x7) - 2*
     x6/x5 + 0.430983578191493*x2 + 3.80082402249182*x3 + 2.92297302249182*x4)
      + x1 =E= 0;

e2.. POWER(x5,3) - sqr(x5)*(1 + x7) + x6*x5 - x6*x7 =E= 0;

e3.. -(0.37943*x2*x2 + 0.75885*x2*x3 + 0.48991*x2*x4 + 0.75885*x3*x2 + 0.8836*
     x3*x3 + 0.23612*x3*x4 + 0.48991*x4*x2 + 0.23612*x4*x3 + 0.63263*x4*x4)
      + x6 =E= 0;

e4..  - 0.14998*x2 - 0.14998*x3 - 0.14998*x4 + x7 =E= 0;

e5..    x2 + x3 + x4 =E= 1;

* set non-default bounds
x2.fx = 0.569362956798;
x3.fx = 0.321423960495;
x4.fx = 0.262298584597;
x5.fx = 1E-12;
x6.fx = 37.319469069482;
x7.fx = -40.928866658957;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP minimizing x1;
