*  MINLP written by GAMS Convert at 02/13/14 21:36:28
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          9        6        0        3        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         13       11        2        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         38       34        4        0
*
*  Solve m using MINLP minimizing x1;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,b12,b13;

Positive Variables  x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Binary Variables  b12,b13;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9;


e1..    x5 =E= 0;

e2..  - x2 - x4 + x6 =E= -480;

e3..  - x3 + x4 - x5 - x6 + x7 =E= -540;

e4.. -50*x8**0.8*x10**0.5 + x2 =E= 0;

e5.. -50*x9**0.8*x11**0.5 + x3 =E= 0;

e6..    0.02*x6 + 0.03*x7 + x8 + x9 + x10 + 4*x11 + 16*b12 + 14*b13 =L= 45;

e7..    x2 - 1020*b12 =L= 0;

e8..    x3 - 1020*b13 =L= 0;

e9..    x1 - 10000*x4 - 2*x5 - 2*x6 - 3*x7 - 25*x8 - 12*x9 - 30*x10 - 15*x11
      - 425*b12 - 420*b13 =E= 0;

* set non-default levels
x8.l = 8.373977056;
x9.l = 13.746133664;
x10.l = 11.403002848;
x11.l = 9.409103232;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP minimizing x1;
