*  NLP written by GAMS Convert at 02/13/14 21:35:40
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          7        5        0        2        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         10       10        0        0        0        0        0        0
*  FX      9        9        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         30       23        7        0
*
*  Solve m using NLP minimizing x10;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10;

Equations  e1,e2,e3,e4,e5,e6,e7;


e1..  - 9*x1 - 15*x2 + 6*x3 + 16*x4 + 10*x5 + 10*x6 - x10 =E= 0;

e2..  - x3 - x4 + x8 + x9 =E= 0;

e3..    x1 - x5 - x8 =E= 0;

e4..    x2 - x6 - x9 =E= 0;

e5.. x7*x8 - 2.5*x1 + 2*x5 =L= 0;

e6.. x7*x9 - 1.5*x2 + 2*x6 =L= 0;

e7.. x7*x8 + x7*x9 - 3*x3 - x4 =E= 0;

* set non-default bounds
x1.fx = 330.654538068856;
x2.fx = 196.08017207706;
x3.fx = 496.836475764179;
x4.fx = 2.394893910236;
x5.fx = 17.826105030827;
x6.fx = 10.927078472094;
x7.fx = 0.770336450735;
x8.fx = 312.82860684557;
x9.fx = 185.153446093697;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP minimizing x10;
